List jobs
const url = 'https://api.craci.dev/v1preview1/jobs?status=active&since=2026-08-16T12%3A00%3A00Z';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.craci.dev/v1preview1/jobs?status=active&since=2026-08-16T12%3A00%3A00Z' \ --header 'Authorization: Bearer <token>'List the authenticated organization's jobs, newest first. The active status includes pending, provisioning, and running jobs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Job status group. The only supported value is active.
Example
activeInclude jobs CRACI recorded at or after this RFC 3339 timestamp. Defaults to seven days before the request.
Example
2026-08-16T12:00:00ZResponses
Section titled “Responses”Matching jobs
object
object
Provider start time when available, otherwise when CRACI recorded the job.
Examplegenerated
{ "jobs": [ { "branch": "example", "commitSha": "example", "jobId": "example", "jobName": "example", "provider": "example", "repository": "example", "runAttempt": 1, "runId": "example", "startedAt": "2026-04-15T12:00:00Z", "status": "example", "url": "example", "workflow": "example" } ]}Missing or invalid filters
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}Missing, invalid, expired, or revoked token
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}Internal dependency unavailable
object
Human-readable explanation specific to this occurrence.
HTTP status code returned with the problem.
Short, human-readable summary of the problem.
URI identifying the problem type. about:blank uses the HTTP status meaning.
Examplegenerated
{ "detail": "example", "status": 1, "title": "example", "type": "example"}